package yi.iu.imgdb.learn;

import java.util.LinkedList;
import yi.util.config.Configuration;

/**
 * GMMNNAdapter uses max combining function by default.  This one use Mean() as
 * combining function
 */

public class GMMNNMeanCombAdapter extends GMMNNAdapter{
  public GMMNNMeanCombAdapter(ImgDataCenter data_center, LinkedList img_list,
                      LinkedList ft_list, LinkedList obj_list) {
    super(data_center, img_list, ft_list, obj_list);
    Configuration.configParameters(this);
    COMBINING_FUNC = MAX_COMBINING_FUNC;
  }

}